# Class CacheSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents configuration settings for a caching mechanism.

    public class CacheSettings

Inheritance
  object
  CacheSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Appointments

    public CacheEnum.Mode Appointments { get; set; }

#### Property Value

CacheEnum.Mode

### ConfigObservations

    public CacheEnum.Mode ConfigObservations { get; set; }

#### Property Value

CacheEnum.Mode

### Displays

    public CacheEnum.Mode Displays { get; set; }

#### Property Value

CacheEnum.Mode

### GroupedObservations

    public CacheEnum.Mode GroupedObservations { get; set; }

#### Property Value

CacheEnum.Mode

### InMemory

    public InMemorySettings InMemory { get; set; }

#### Property Value

InMemorySettings

### IsEnabled

Activa o desactiva por completo el sistema de caché. Si es false, se usará NoCacheService para todas las entidades.

    public bool IsEnabled { get; set; }

#### Property Value

bool

### PatientObservations

    public CacheEnum.Mode PatientObservations { get; set; }

#### Property Value

CacheEnum.Mode

### Patients

    public CacheEnum.Mode Patients { get; set; }

#### Property Value

CacheEnum.Mode

### PointOfCares

    public CacheEnum.Mode PointOfCares { get; set; }

#### Property Value

CacheEnum.Mode

### PumpObservations

    public CacheEnum.Mode PumpObservations { get; set; }

#### Property Value

CacheEnum.Mode

### Redis

    public RedisSettings Redis { get; set; }

#### Property Value

RedisSettings